## pvm 3.4beta6

=== console/ALPHAMP/Makefile ===
#
# $Id: Makefile,v 1.3 1997/06/17 19:39:36 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	ALPHAMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	make PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/RS6KMP/Makefile ===
#
# $Id: Makefile,v 1.4 1997/06/19 14:21:51 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	RS6KMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)
		
default:    
	make PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean
	
$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SGIMP/Makefile ===
#
# $Id: Makefile,v 1.3 1997/06/17 19:40:20 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SGIMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	make PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SGIMP6/Makefile ===
#
# $Id: Makefile,v 1.1 1997/08/06 22:40:50 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SGIMP6
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	make PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

## pvm 3.4beta7

=== console/HPPAMP/Makefile ===
#
# $Id: Makefile,v 1.2 1997/06/17 19:39:51 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	HPPAMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	make PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/PGON/Makefile ===
#
# $Id: Makefile,v 1.2 1997/02/14 21:07:19 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	PGON
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	make CC=icc -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== examples/PGON/Makefile ===
#
# $Id: Makefile,v 1.6 1997/07/02 14:35:17 pvmsrc Exp $
#
#
PVMDIR      =   ../..

SDIR        =   $(PVMDIR)/examples

CONFFILE    =   $(PVMDIR)/conf/$(PVM_ARCH).def

LIBDIR      =   $(PVMDIR)/lib/$(PVM_ARCH)

include ${CONFFILE}

#### Example programs that can be built by ../Makefile.aimk

EXAMPLES = 	hello hello_other \
			master1 slave1 fmaster1 fslave1 \
			spmd fspmd \
			dbwtest ibwtest pbwtest rbwtest \
			timing timingh timing_slave \
			hitc hitc_slave \
			gexample fgexample \
			gmbi \
			lmbi

HEXAMPLES = helloh \
			master1h \
			timingh \
			gexampleh fgexampleh \
			gmbih \
			hitch
#### Targets that are NOT example programs but are recognized by
#  ../Makefile.aimk

AIMKTARGETS = default all c-all f-all hostprogs clean 

#### How to build programs using ../Makefile.aimk. Notice that 
#  		PVMLIB and PVMHLIB are set for MPPs (lpvm3pe, lpvm3, respectively). 
#  		Hence the default examples are built for MPP nodes.

${EXAMPLES}:
	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${NODEFORT}\
		CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 

${HEXAMPLES} ${AIMKTARGETS}:
	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${FORTRAN}\
		CC=${CC} -f $(SDIR)/Makefile.aimk $@

## pvm 3.4.5

=== examples/PGON/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.6 1997/07/02 14:35:17 pvmsrc Exp $
+# $Id: Makefile,v 1.7 1998/10/01 21:08:04 pvmsrc Exp $
 #
 #
 PVMDIR      =   ../..
@@ -40,9 +40,10 @@
 #  		Hence the default examples are built for MPP nodes.
 
 ${EXAMPLES}:
-	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${NODEFORT}\
-		CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 
+	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
+		FORT=${NODEFORT} CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 
 
 ${HEXAMPLES} ${AIMKTARGETS}:
-	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${FORTRAN}\
-		CC=${CC} -f $(SDIR)/Makefile.aimk $@ 
+	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
+		FORT=${FORTRAN} CC=${CC} -f $(SDIR)/Makefile.aimk $@ 
+

=== examples/SP2MPI/Makefile ===
#
# $Id: Makefile,v 1.8 1998/10/01 21:08:19 pvmsrc Exp $
#
#
PVMDIR      =   ../..

SDIR        =   $(PVMDIR)/examples

CONFFILE    =   $(PVMDIR)/conf/$(PVM_ARCH).def

LIBDIR      =   $(PVMDIR)/lib/$(PVM_ARCH)

include ${CONFFILE}

#### Example programs that can be built by ../Makefile.aimk

EXAMPLES = 	hello hello_other \
			master1 slave1 fmaster1 fslave1 \
			spmd fspmd \
			dbwtest ibwtest pbwtest rbwtest \
			timing timingh timing_slave \
			hitc hitc_slave \
			gexample fgexample \
			gmbi \
			lmbi

HEXAMPLES = helloh \
			master1h \
			timingh \
			gexampleh fgexampleh \
			gmbih \
			hitch
#### Targets that are NOT example programs but are recognized by
#  ../Makefile.aimk

AIMKTARGETS = default all c-all f-all hostprogs clean 

#### How to build programs using ../Makefile.aimk. Notice that 
#  		PVMLIB and PVMHLIB are set for MPPs (lpvm3pe, lpvm3, respectively). 
#  		Hence the default examples are built for MPP nodes.

${EXAMPLES}:
	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
		FORT=${NODEFORT} CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 

${HEXAMPLES} ${AIMKTARGETS}:
	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
		FORT=${FORTRAN} CC=${CC} -f $(SDIR)/Makefile.aimk $@

=== hoster/OS2/Makefile ===
#
# $Id: Makefile,v 1.2 1997/08/28 20:53:49 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/hoster

PVM_ARCH	=	OS2
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	make LIBPREFIX="" REXECOBJ="rexec.o ruserpas.o" \
		-f $(CONFFILE) -f $(SDIR)/Makefile.aimk all

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== src/AIX5SP2/Makefile ===
#
# $Id: Makefile,v 1.1 2004/01/14 17:34:27 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/src

PVM_ARCH	=	AIX5SP2
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all-mpp 

install:	
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install-mpp

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== src/HPPAMP/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:11:30 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/src

PVM_ARCH	=	HPPAMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all-shm

install:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install-shm

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== src/PGON/Makefile ===
#
# $Id: Makefile,v 1.5 1998/10/01 21:11:43 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/src

PVM_ARCH	=	PGON
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all-mpp 

install:	
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install-mpp

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== src/SGIMP6/Makefile ===
#
# $Id: Makefile,v 1.2 1998/10/01 21:12:27 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/src

PVM_ARCH	=	SGIMP6
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all-shm

install:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install-shm

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== src/SUNMP/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:13:09 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/src

PVM_ARCH	=	SUNMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all-shm

install:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install-shm

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

## pvm 3.4.6

=== Makefile ===
#
# $Id: Makefile,v 1.9 2007/03/07 18:16:06 pvmsrc Exp $
#
# top-level PVM3 makefile
#

SHELL	=	/bin/sh

AIMKSTR	=	-here -f ./conf/`./lib/pvmtmparch`.def -f ./Makefile.aimk

default:
	./lib/aimk $(AIMKSTR) default

install:
	./lib/aimk $(AIMKSTR) install

all:
	./lib/aimk $(AIMKSTR) all

clean:
	./lib/aimk $(AIMKSTR) clean

shared:
	./lib/aimk $(AIMKSTR) shared

s:
	./lib/aimk $(AIMKSTR) s

c:
	./lib/aimk $(AIMKSTR) c

f:
	./lib/aimk $(AIMKSTR) f

g: 
	./lib/aimk $(AIMKSTR) g

e:
	./lib/aimk $(AIMKSTR) e

m:
	./lib/aimk $(AIMKSTR) m

t:
	./lib/aimk $(AIMKSTR) t

x:
	./lib/aimk $(AIMKSTR) x

r:
	./lib/aimk $(AIMKSTR) r

=== console/ALPHAMP/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:03:56 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	ALPHAMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/HPPAMP/Makefile ===
#
# $Id: Makefile,v 1.3 1998/10/01 21:04:18 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	HPPAMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/PGON/Makefile ===
#
# $Id: Makefile,v 1.3 1998/10/01 21:04:34 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	PGON
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) CC=icc -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SGIMP/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:05:09 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SGIMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SGIMP6/Makefile ===
#
# $Id: Makefile,v 1.2 1998/10/01 21:05:26 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SGIMP6
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SGIMP64/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:05:40 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SGIMP64
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== console/SUNMP/Makefile ===
#
# $Id: Makefile,v 1.4 1998/10/01 21:05:55 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/console

PVM_ARCH	=	SUNMP
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)

default:
	$(MAKE) PVMLIB=pvm3s -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	$(MAKE) -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

$(LIBDIR):
	mkdir $(LIBDIR)

=== examples/AIX4SP2/Makefile ===
#
# $Id: Makefile,v 1.1 1998/02/23 21:33:57 pvmsrc Exp $
#

PVMDIR      =   ../..

SDIR        =   $(PVMDIR)/examples

CONFFILE    =   $(PVMDIR)/conf/$(PVM_ARCH).def

LIBDIR      =   $(PVMDIR)/lib/$(PVM_ARCH)

include ${CONFFILE}

#### Example programs that can be built by ../Makefile.aimk

EXAMPLES = 	hello hello_other \
			master1 slave1 fmaster1 fslave1 \
			spmd fspmd \
			dbwtest ibwtest pbwtest rbwtest \
			timing timingh timing_slave \
			hitc hitc_slave \
			gexample fgexample \
			gmbi \
			lmbi

HEXAMPLES = helloh \
			master1h \
			timingh \
			gexampleh fgexampleh \
			gmbih \
			hitch
#### Targets that are NOT example programs but are recognized by
#  ../Makefile.aimk

AIMKTARGETS = default all c-all f-all hostprogs clean 

#### How to build programs using ../Makefile.aimk. Notice that 
#  		PVMLIB and PVMHLIB are set for MPPs (lpvm3pe, lpvm3, respectively). 
#  		Hence the default examples are built for MPP nodes.

${EXAMPLES}:
	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${NODEFORT}\
		CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 

${HEXAMPLES} ${AIMKTARGETS}:
	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${FORTRAN}\
		CC=${CC} -f $(SDIR)/Makefile.aimk $@

=== examples/OS2/Makefile ===
#
# $Id: Makefile,v 1.2 1997/08/28 20:53:14 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/examples

PVM_ARCH	=	OS2
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	make FORT=g77 -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== gexamples/OS2/Makefile ===
#
# $Id: Makefile,v 1.2 1997/08/28 20:53:32 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/gexamples

PVM_ARCH	=	OS2
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)


all:
	make FORT=g77 -f $(CONFFILE) -f $(SDIR)/Makefile.aimk all

clean:
	make -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean

=== libfpvm/OS2/Makefile ===
#
# $Id: Makefile,v 1.2 1997/08/28 20:54:08 pvmsrc Exp $
#

PVMDIR		=	../..
SDIR		=	$(PVMDIR)/libfpvm

PVM_ARCH	=	OS2
CONFFILE	=	$(PVMDIR)/conf/$(PVM_ARCH).def
LIBDIR		=	$(PVMDIR)/lib/$(PVM_ARCH)

#
install:	default $(LIBDIR)
		
default:    
	make LIBPREFIX="" -f $(CONFFILE) -f $(SDIR)/Makefile.aimk install

clean:
	make LIBPREFIX="" -f $(CONFFILE) -f $(SDIR)/Makefile.aimk clean
	
$(LIBDIR):
	mkdir $(LIBDIR)

=== debian/changelog ===
pvm (3.4.6-5) unstable; urgency=medium

  * QA upload.

  * Fix ftbfs on riscv64. (Closes: #1015924) 
  * Set std ver to 4.6.2

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 14 Jan 2023 22:19:03 +0800

pvm (3.4.6-4) unstable; urgency=medium

  * QA upload

  [ Rafael Laboissière ]
  * d/control: Drop dependency on openssh-client (Closes: #1025501)

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Add missing colon in closes line.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Dec 2022 11:54:32 -0300

pvm (3.4.6-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add -DUSESTRERROR to CFLAGS in debian/rules

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 16:16:02 +0000

pvm (3.4.6-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bug fix: "FTBFS: ddpro.c:398:10: fatal error: rpc/types.h: No such
    file or directory", thanks to Lucas Nussbaum (Closes: #997284).
  * Add -I/usr/include/tirpc/ to CFLAGS in debian/rules
  * Add  -Wl,--start-group -ltirpc to LDFLAGS in debian/rules
  * Add libtirpc-dev to build depends

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 11:26:42 +0000

pvm (3.4.6-3) unstable; urgency=medium

  * Non-maintainer upload
  * Bug fix: "ftbfs with GCC-10", thanks to Matthias Klose (Closes:
    #957717).

 -- Camm Maguire <camm@debian.org>  Wed, 19 Aug 2020 14:56:15 +0000

pvm (3.4.6-2) unstable; urgency=medium

  * QA upload.
  * Update Vcs-* headers for salsa.d.o
  * Bump Standards-Version to 4.1.5
  * Use dh compat level 11
  * Remove incorrect M-A: foreign mark on pvm-dev.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #900193)
  * Replace Priority: extra with optional

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 24 Jul 2018 14:31:14 +0000

pvm (3.4.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #626344).
  * Refresh patches.
  * 04-build-shared-libpvm.patch: Rework to use upstream's support.
  * 05-build-shared-libgpvm.patch: Mirror libpvm.so rules.
  * debian/rules:
    - Pass LDFLAGS to SHAREDLDFLAGS.
    - Make tarball entry order reproducible.
  * debian/control: Add Vcs-Git/Vcs-Browser for collab-maint

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 24 May 2016 11:48:54 +0100

pvm (3.4.5-13) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group (See: #824403).
  * Add support for sparc64 in debian/getpvmarch (Closes: #814770).
  * Add ${misc:Depends} for every package in debian/control.
  * Change compat to 9.
  * Change to format 3.0 (quilt).
  * Use dh sequencer.
  * Update Standards-Version to 3.9.8.
  * Drop explicit ldconfig call in libpvm3.postinst.
  * Enable hardening flags.
  * Add patch 24-include-unistd.patch from Ubuntu.
  * Add patch 25-format-security.patch to fix -Wformat-security errors.
  * Add patch 26-groff-quote.patch to fix groff errors where leading single
    quotes were being treated as the non-breaking control character.
  * Convert to Multi-Arch.
  * Add debian/watch.
  * Add Homepage to debian/control.
  * Make build reproducible.
  * Ran `wrap-and-sort -ast`.
  * Modified 04-build-shared-libpvm.patch and 05-build-shared-libgpvm.patch to
    work with hardening.

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 17 May 2016 10:23:09 +0100

pvm (3.4.5-12.6) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission. Thanks.
  * Add support for arm64, mips64el, ppc64 in debian/getpvmarch (Closes:
    #734468, #757324).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Sep 2014 10:40:19 +0200

pvm (3.4.5-12.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix 22-fix_FTBFS4hurd.patch (Closes: #675454).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2012 01:29:03 +0200

pvm (3.4.5-12.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add architecture detection for s390x.  Thanks to Aurelien Jarno.
    (Closes: #639491)

 -- Philipp Kern <pkern@debian.org>  Sun, 01 Apr 2012 14:23:40 +0000

pvm (3.4.5-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 22-fix_FTBFS4hurd.patch (Closes: #622932). Thanks Svante Signell
    for initial patch.
  * Add patch 23-fix_trunc.patch to fix O_TRUNC undefined behavior without
    O_WRONLY or O_RDWR.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Aug 2011 20:59:48 +0000

pvm (3.4.5-12.2) unstable; urgency=low

  * Non-maintainer upload.
    ACKed by maintainer.
  * Support Renesas SH (Closes: #565370).
    - Add patch 21-sh4-support.patch.
    - Add support sh4 to getpvmarch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Feb 2010 12:02:45 +0900

pvm (3.4.5-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix " missing-dependency-on-libc needed ..." by adding ${shlibs:Depends}
    to pvm-dev's Depends in debian/control (closes: #553260).
  * Fix "replacing libreadline5-dev build dependency with libreadline-dev"
    (closes: #553830).
  * Tighten dependency of pvm-dev on libpvm3 to (= ${binary:Version}),
    thanks lintian.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Nov 2009 13:56:59 +0100

pvm (3.4.5-12) unstable; urgency=high

  * Depend on openssh-client | rsh-client instead of suggesting rsh-client.
    (Closes: #531413)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 06 Jun 2009 00:12:35 +0200

pvm (3.4.5-11) unstable; urgency=high

  * In debian/rules, pick out the version number from the changelog instead of
    from the current directory name; fixes FTBFS if the directory has been
    renamed for some reason. Baed on patch from Simon McVittie and Peter Green.


=== debian/control ===
Source: pvm
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gfortran,
               libreadline-dev,
               libx11-dev,
               libxaw7-dev,
               m4,
               libtirpc-dev,
               tar (>= 1.28)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/pvm
Vcs-Git: https://salsa.debian.org/debian/pvm.git
Homepage: https://www.csm.ornl.gov/pvm/
Rules-Requires-Root: no

Package: pvm
Architecture: any
Multi-Arch: foreign
Depends: rsh-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - binaries
 Console and communication daemon binaries for the Parallel Virtual
 Machine.  Should be sufficient to utilize a node in a dynamically linked
 PVM program such as pvmpov.

Package: pvm-dev
Architecture: any
Depends: libpvm3 (= ${binary:Version}),
         libreadline-dev,
         pvm,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - development files
 Headers, man pages, documentation, auxiliary functions, and static
 libraries for the Parallel Virtual Machine distributed memory
 communications library.

Package: libpvm3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pvm
Description: Parallel Virtual Machine - shared libraries
 Just the bare library, required by binaries with optional PVM support such
 as pvmpov.  Install the pvm package if you wish to actually run a parallel
 job.

Package: pvm-examples
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - examples
 This package provides the examples distributed along with the Parallel
 Virtual Machine. This can be useful for initial cluster or interoptability
 testing.

=== debian/rules ===
#!/usr/bin/make -f

PVM_ARCH=$(shell debian/getpvmarch)
# upstream version
include /usr/share/dpkg/default.mk
version=$(shell dpkg-parsechangelog --show-field=Version | cut -d'-' -f1)
# Version from SONAME (.so.3 => 3)
# deliberately hard-coded - if this changes we definitely want to know about it
soversion=3

# yes, I know this will define RSHCOMMAND twice and generate a warning.
# I'm not modifying gcc. -dld
#
export DEB_CPPFLAGS_MAINT_APPEND=-DRSHCOMMAND=\\\"/usr/lib/pvm3/bin/rsh\\\" -DPVMDPATH=\\\"pvmd\\\" -DPVMDFILE=\\\"/usr/bin/pvmd\\\" -DPVM_DEFAULT_ROOT=\\\"/usr/lib/pvm3\\\" -DOVERLOADHOST
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
export DEB_HOST_MULTIARCH

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -I/usr/include/tirpc/ -DUSESTRERROR
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--start-group -ltirpc

SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)

AIMKSTR	= -here -f ./conf/$(PVM_ARCH).def -f ./Makefile.aimk CFLOPTS="'$(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -fPIC'" cflags="'$(CFLAGS) $(CPPFLAGS) -fPIC'" link_flags="'$(LDFLAGS)'" SHAREDLDFLAGS="$(LDFLAGS) -fPIC -shared"

%:
	dh $@

override_dh_auto_build:
	echo "#!/bin/sh" > lib/pvmgetarch
	echo "echo $(PVM_ARCH)" >> lib/pvmgetarch
	chmod +x lib/pvmgetarch
	chmod +x debian/getpvmarch
	FC="gfortran" F77="gfortran" PVM_ROOT=`pwd` ./lib/aimk $(AIMKSTR)  PVMDIR=`pwd`  all
	tar --sort=name --numeric-owner --owner=0 --group=0 --mode=go=rX,u+rw,a-s --mtime="$(SOURCE_DATE)" -c examples | gzip -n > examples.tar.gz
	tar --sort=name --numeric-owner --owner=0 --group=0 --mode=go=rX,u+rw,a-s --mtime="$(SOURCE_DATE)" -c gexamples | gzip -n > gexamples.tar.gz

override_dh_auto_clean:
	echo "#!/bin/sh" > lib/pvmgetarch
	echo "echo $(PVM_ARCH)" > lib/pvmgetarch
	chmod +x lib/pvmgetarch
	chmod +x debian/getpvmarch
	-make PVM_ROOT=`pwd` clean
	rm -f build-stamp examples.tar.gz gexamples.tar.gz lib/pvmgetarch
	find . -type d -name $(PVM_ARCH) | xargs rm -rf

override_dh_auto_install:
	# pvm package
	mv bin/$(PVM_ARCH)/pvmgs debian/pvm/usr/bin

	cp lib/pvmgetarch debian/pvm/usr/bin
	cp lib/$(PVM_ARCH)/pvm debian/pvm/usr/bin
	cp lib/$(PVM_ARCH)/pvmgs debian/pvm/usr/bin
	cp lib/$(PVM_ARCH)/pvmd3 debian/pvm/usr/bin/pvmd

	ln -sf ../../../bin/pvmgetarch debian/pvm/usr/lib/pvm3/lib/pvmgetarch
	ln -sf ../../../bin/pvm debian/pvm/usr/lib/pvm3/lib/pvm
	ln -sf ../../../bin/pvmgs debian/pvm/usr/lib/pvm3/lib/pvmgs
	ln -sf ../../../bin/pvmd debian/pvm/usr/lib/pvm3/lib/pvmd

	# pvm-dev package
	cp lib/aimk debian/pvm-dev/usr/bin
	mv bin/$(PVM_ARCH)/pvm_gstat debian/pvm-dev/usr/bin
	mv bin/$(PVM_ARCH)/pvmgroups debian/pvm-dev/usr/bin
	mv bin/$(PVM_ARCH)/tracer debian/pvm-dev/usr/bin
	mv bin/$(PVM_ARCH)/trcsort debian/pvm-dev/usr/bin
	cp lib/$(PVM_ARCH)/*.a debian/pvm-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	cp conf/$(PVM_ARCH).def debian/pvm-dev/usr/lib/pvm3/conf
	cp conf/$(PVM_ARCH).m4 debian/pvm-dev/usr/lib/pvm3/conf
	cp include/* debian/pvm-dev/usr/include
	ln -sf libpvm3.so.$(version) debian/pvm-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpvm3.so
	ln -sf libgpvm3.so.$(version) debian/pvm-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libgpvm3.so

	# libpvm3 package
	cp lib/$(PVM_ARCH)/libpvm3.so debian/libpvm3/usr/lib/$(DEB_HOST_MULTIARCH)/libpvm3.so.$(version)
	ln -s libpvm3.so.$(version) debian/libpvm3/usr/lib/$(DEB_HOST_MULTIARCH)/libpvm3.so.$(soversion)
	cp lib/$(PVM_ARCH)/libgpvm3.so debian/libpvm3/usr/lib/$(DEB_HOST_MULTIARCH)/libgpvm3.so.$(version)
	ln -s libgpvm3.so.$(version) debian/libpvm3/usr/lib/$(DEB_HOST_MULTIARCH)/libgpvm3.so.$(soversion)

	# pvm-examples package
	mv bin/$(PVM_ARCH)/gs debian/pvm-examples/usr/bin/gs.pvm
	mv bin/$(PVM_ARCH)/hello debian/pvm-examples/usr/bin/hello.pvm
	mv bin/$(PVM_ARCH)/srm debian/pvm-examples/usr/bin/srm.pvm
	cp bin/$(PVM_ARCH)/* debian/pvm-examples/usr/bin/

=== debian/watch ===
version=3
https://www.netlib.org/pvm3/index.html pvm(\d[\-+\.:\~\da-zA-Z]*)(?i)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
